Subject: Re: bug#66450: 29.1; Debbugs/Gnus sometimes corrupt git formatted patches

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 14 Oct 2023 09:40:58 -0700

Michael Albinus <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
> Hi Eric,
>
>> Gnus is the obvious choice for scanning incoming bug reports and seeing
>> if any have to do with me (very few of them do!). But Debbugs is the
>> natural choice for keeping track of bugs once I do decide to work on
>> them. Getting from Gnus to Debbugs isn't a no-brainer -- I once wrote a
>> command that adds the bug number of the article under point to
>> `debbugs-gnu-tagged', to be called on articles in the
>> "nntp:gmane.emacs.bugs" group, but I never managed to form the habit of
>> using it.
>
> I use a different approach. I have taught Gnus to follow bug references
> in Summary and Article buffers. The relevant setting is
>
> (setq bug-reference-url-format "https://debbugs.gnu.org/%s")
> (add-hook 'bug-reference-mode-hook 'debbugs-browse-mode)
> (add-hook 'bug-reference-prog-mode-hook 'debbugs-browse-mode)
>
> (add-hook 'gnus-summary-mode-hook 'bug-reference-mode)
> (add-hook 'gnus-article-mode-hook 'bug-reference-mode)
>
> Then, bug references are highlighted, and I can select them with the mouse.
>
>> Anyway, this bug report isn't the place for the discussion!
>
> Indeed. But there's no proper place for discussion, and the Debbugs User
> Guide, which explains this, isn't read by anybody. See
> (info "(debbugs-ug) Minor Mode")
>
> So I spread The Truth™ wherever I can :-)

The Truth has been heard! I can't believe I didn't know about all this
earlier. I may even work on more bugs now!

Thanks,
Eric